from pgm import render, log, widget
from pgm.layout import window, group
from pgm.form import rectangle, image, stroke, color
import time, sys, pgmrender, gobject

# Load the OpenGL 1.2 pgmrender plugin
render.init('opengl1')
log.set_level(log.DEBUG)

def main(args):
    title = 'Forms'

    # Window creation
    win = window.Window(title=title, size=(800,600))

    # Forms creation
    frm1 = rectangle.RoundRectangle()
    frm1.size = (200, 150)
    frm1.position = (500, 150)
    frm1.arc = (60, 60)
    frm1.paint = color.Color(color.CYAN)

    frm2 = rectangle.RoundRectangle(size=(200,150), position=(50,50),
                                    arc=(50,50))
    frm2.paint = color.Color(color.RED)
    frm2.stroke = stroke.Stroke(width=10.0)

    frm3 = rectangle.RoundRectangle(paint=color.Color(color.GREEN),
                                    size=(100,100), position=(100,300),
                                    arc=(25,25),
                                    stroke=stroke.Stroke
                                    (color=color.Color(color.MAGENTA),
                                     width=5.0))

    frm4 = rectangle.RoundRectangle(size=(70,270), position=(400, 100),
                                    arc=(35,135))
    frm4.paint = color.Color(color.YELLOW)
    frm4.stroke = stroke.Stroke(color=color.Color((50, 100, 255, 255)),
                                width=4.0)

    frm4.media = image.Image(sys.argv[1])

    win.add(frm1)
    win.add(frm2)
    win.add(frm3)
    win.add(frm4)

    win.ordering = widget.NEAR

    # Start the loop
    gobject.timeout_add(50, win.update)
    win.main()

if __name__ == '__main__':
    sys.exit(main(sys.argv[1:]))
