# -*- mode: python; coding: utf-8 -*-
#
# This example takes a path to a video as its first command-line
# argument. The video is displayed in two rectangles with one over the
# other which has an opacity of 150. Play is binded to the 'v' key,
# and Pause to the 'c' key.

from pgm import render, log, widget
from pgm.layout import window
from pgm.form import rectangle, stream
import sys, pgmrender
import gobject
import mutex

render.init('opengl1')

def key_press_cb(event, data):
    global video
    if event.keyval == pgmrender.KEY_ESCAPE:
        sys.exit(0)
    if event.keyval == pgmrender.KEY_c:
        data.pause()
    if event.keyval == pgmrender.KEY_v:
        data.play()
    
def main(args):
    if len(args) != 1:
        print 'Usage: %s <audio_video_uri>' % sys.argv[0]
        return 1

    rect1 = rectangle.Rectangle(size=(800,600), position=(0,0))
    #rect1.ordering = widget.NEAR
    #rect1.opacity = 150

    #rect2 = rectangle.Rectangle(size=(300,300), position=(50,15))
    #rect2.ordering = widget.FAR

    win = window.Window(title='Stream', size=(800,600))
    win.add(rect1)

    video = stream.Stream(location=args[0])
    rect1.media = video
    #rect2.media = video

    win.sig_key_press_event.connect(key_press_cb, video)
    win.sig_exit_event.connect(lambda _: sys.exit(0))

    video.play()
    mainloop = gobject.MainLoop()
    gobject.timeout_add(20, win.update)
    win.main(mainloop)
    mainloop.run()

if __name__ == '__main__':
    sys.exit(main(sys.argv[1:]))
